Subject: Re: bug#746: Killed when starting modale dialog like pinentry

From: Mark Hindley <[email-masked]>
Date: Mon, 6 Mar 2023 17:36:05 +0000

On Mon, Mar 06, 2023 at 06:26:40PM +0100, Klaus Ethgen wrote:
> > On Mon, Mar 06, 2023 at 06:01:34PM +0100, Klaus Ethgen wrote:
> > > Package: xserver-xorg-core
> > > Version: 2:21.1.7-1devuan1
> > > Severity: critical
> > > 
> > > I first thought, this bug is in the nvidia package and reported that bug
> > > with 1032379 to debian.

That might be correct. It certainly isn't the libseat integration.
If you look, both logfiles have

 seat-libseat: libseat integration requires -keeptty and -keeptty was not provided, disabling libseat integration

libseat integration is not used when xorg is invoked as root by display managers
such as wdm.

> > > But now I seen the bug on amd gpu system too.
> > > 
> > > If modale dialog like pinentry is started, X is immediately killed.
> > > 
> > > The last two lines in log file are:
> > > [115522.739] (II) seatd_libseat fini
> > > [115522.739] (II) Server terminated successfully (0). Closing log file.

This is a cruft message that I will remove, but the libseat code has not been
used.

> wdm...
> 
> > Which pinentry package are you using? 
> 
> /usr/bin/pinentry-qt

If you run it from an xterminal do you get anything on stdout? I suspect it is
producing a fatal exception in a library.

Mark